# $Id: perl-Env-Bash.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dries
# Upstream: Beau E. Cox <beaucox$hawaii,rr,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Env-Bash

Summary: Perl extension for accessing all bash environment variables
Name: perl-Env-Bash
Version: 0.04
Release: 1.2%{?dist}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Env-Bash/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Env/Env-Bash-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This is a Perl extension for accessing _all_ bash environment variables.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/Env/
%{perl_vendorlib}/Env/Bash.pm
%{perl_vendorlib}/Env/README-sorcerer.pod

%changelog
* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.04-1.2 - 7981/dag
- Rebuild for Fedora Core 5.

* Mon Dec 27 2004 Dries Verachtert <dries@ulyssis.org> - 0.04-1
- Initial package.

